org.apache.xmlgraphics.util.uri

## Class DataURIResolver

- java.lang.Object
- - org.apache.xmlgraphics.util.uri.DataURIResolver

- All Implemented Interfaces:
    javax.xml.transform.URIResolver

      public class DataURIResolver
      extends java.lang.Object
      implements javax.xml.transform.URIResolver

  Resolves data URLs (described in RFC 2397) returning its data as a StreamSource.
  See Also:
    `URIResolver`, RFC 2397

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataURIResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.transform.Source` | `resolve(java.lang.String href, java.lang.String base)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataURIResolver

          public DataURIResolver()

  - ### Method Detail

    - #### resolve

          public javax.xml.transform.Source resolve(java.lang.String href,
                                                    java.lang.String base)
                                             throws javax.xml.transform.TransformerException

      Specified by:
        `resolve` in interface `javax.xml.transform.URIResolver`
      Throws:
        `javax.xml.transform.TransformerException`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.